Skip to main content

Get quote​

Consumer Request

Request Body required
    typeOfQuote string required

    Possible values: <= 20 characters, [Single Quote, Multi-Quote]

    This will take values as Single Quote or Multi-quote and will help to identify the number of quote requests to be generated.Single Quote is defined as when you want quote from a particular insurer. Multi-Quote provides quote from multiple insurers.

    quoteCategory string required

    Possible values: <= 20 characters, [New, Roll-Over, Used]

    Defines the business type - New , Roll-Over, Used

    alternateFreqRequired string

    Possible values: <= 10 characters, [Yes, No]

    If the consumer wants frequency related multi-quote, this field should carry the values as Yes or No. Example for frequency related multi-quote. If customer inputs premiumPaymentFrequency as Monthly, Quaterly, or Half-Yearly, then 1SB will provide premium for given as well as Yearly frequency. If customer inputs premiumPaymentFrequency as Yearly, 1SB will provide premium for Yearly as well as Monthly frequency. From Motor Insurance perspective , it is a futuristic field

    outOfBoundConfig string

    Possible values: <= 10 characters, [Yes, No]

    If the distributor wants quotes for Out of Bound cases, this field should carry the values Yes or No. Example for Out of Bound. From Motor Insurance perspective, it is a futuristic field.

    additionalSetup object

    This section will contain additional information regarding user and policy

    currency string

    Possible values: <= 5 characters, [AUD, NZD, USD, EUR, GBP, JPY, ZAR, CAD, CNY, ARS, BSD, BDT, BGN, BRL, CLP, KWD, COP, HRK, CZK, DKK, EGP, HKD, HUF, ISK, INR, IDR, ILS, KZT, KRW, CHF, MYR, MUR, MXN, NOK, PHP, PLN, QAR, RON, RUB, SAR, RSD, SGD, SEK, TWD, THB, TRY, UAH, VND, AED, MAD, PEN, UYU, OMR, BHD]

    Currency in which policy will be purchased

    userGeoLocation object

    Possible values: <= 100 characters

    Return a JSON object with latitude and longitude properties

    latitude string

    latitude

    longitude string

    longitude

    userCountry string

    Possible values: <= 5 characters, [AF, AX, AL, DZ, AS, AD, AO, AI, AQ, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, BN, BG, BF, BI, CV, KH, CM, CA, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CD, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GO, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, XK, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, KP, MK, MP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, SS, ES, LK, SD, SR, SJ, SE, CH, SY, TW, TJ, TZ, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, UM, US, UY, UZ, VU, VE, VN, VG, VI, WF, EH, YE, ZM, ZW]

    Country of the user

    userRegion string

    Possible values: <= 30 characters

    Region (State or Province) of the user

    userLanguage string

    Possible values: <= 20 characters

    Language set by user on the consumer app

    userIP string

    Possible values: <= 20 characters

    User IP address

    userAgent string

    Possible values: <= 50 characters

    Users browser details

    distributor object required

    This section will give details of intermediary (Broker, corporate Agent or Bank acting as intermediary)

    distributorID string required

    Possible values: <= 20 characters

    Static for a given Distributor. Ask your Account Manager

    agentID string required

    Possible values: <= 20 characters

    Agent code. Eg. PoSP code or SP code provided by insurance company

    channelType string required

    Possible values: <= 20 characters, [B2B, B2C]

    This is used by insurance companies to identify channel type. Eg. B2B or B2C

    varFields object[]
  • Array [
  • fieldName string

    Possible values: <= 50 characters

    Additional fields for distributor section.

    fieldValue string

    Possible values: <= 50 characters

    Value of additional fields

  • ]
  • personalInformation object required

    Section to capture personal details of proposer,Owner-Proposer, Driver and Nominee.

    individualDetails object[]

    This array will hold personal details of proposer or Owner-Proposer or Driver or Nominee. At time of retrieving quote, this is not required. However in proposal request , it will be mandatory

  • Array [
  • memberType string

    Possible values: <= 30 characters, [Proposer, Owner-Proposer, Nominee, Driver, NamedPassenger]

    To capture the type of member - Proposer, Owner-Proposer,Nominee or Driver

    memberSequenceNumber integer

    This is the sequence number to assigned to each member of personalInformation Array. For example - Proposer is being referred as 1.

    nomineeRelWithInsured string

    Possible values: <= 30 characters, [Daughter, Father, Father-in-law, Mother, Mother-in-law, Self, Son, Spouse]

    To capture relationship of Nominee with Owner

    title string

    Possible values: <= 30 characters, [Mr, Mrs, Ms]

    Title of the member.

    firstName string

    Possible values: <= 50 characters

    First name of the member.

    middleName string

    Possible values: <= 50 characters

    Middle name of the member.

    lastName string

    Possible values: <= 50 characters

    Last name of the member.

    gender string

    Possible values: <= 15 characters, [Male, Female, Transgender, Others]

    Gender of the member.

    dateOfBirth string

    Possible values: <= 10 characters

    Date of birth of the member. Date is formatted string as per ISO 8601 standard. Format - YYYY-MM-DD

    age integer

    Possible values: <= 3 characters

    Age of the member.

    maritalStatus string

    Possible values: <= 30 characters, [Married, Single]

    Marital status of the member.

    qualification string

    Possible values: <= 50 characters, [Post Graduate, Graduate, 12th, 10th, Diploma, Below 10th]

    Educational qualification of the member.

    occupation string

    Possible values: <= 50 characters, [Salaried, Self-Employed, Non-working]

    Professional occupation of the member.

    annualIncome number

    Possible values: <= 15 characters

    Annual income of the member.

    email string

    Possible values: <= 100 characters

    Email ID of the member.

    mobileNumber number

    Possible values: <= 15 characters

    Mobile number of the member.

    zipCode string

    Possible values: <= 10 characters

    Pincode of the member

    state string

    Possible values: <= 30 characters, [ANDAMAN AND NICOBAR, ANDHRA PRADESH, ARUNACHAL PRADESH, ASSAM, BIHAR, CHANDIGARH, DADRA AND NAGAR, DAMAN AND DIU, DELHI, GOA, GUJARAT, HIMACHAL PRADESH, JAMMU AND KASHMIR, KERALA, LAKSHADWEEP, MAHARASHTRA, MANIPUR, MEGHALAYA, NAGALAND, ORISSA, PUNJAB, RAJASTHAN, SIKKIM, TRIPURA, UTTAR PRADESH, JHARKHAND, UTTARAKHAND, TELANGANA, NOST, HARAYANA, KARNATAKA, MADHYA PRADESH, MIZORAM, PONDICHERRY, TAMIL NADU, WEST BENGAL, CHHATTISGARH]

    State of the member.

    city string

    Possible values: <= 50 characters

    City of the member.

    address1 string

    Possible values: <= 50 characters

    Address of the member.

    address2 string

    Possible values: <= 50 characters

    Address of the member.

    address3 string

    Possible values: <= 50 characters

    Address of the member.

    residentStatus string

    Possible values: <= 20 characters, [Resident Indian, NRI, OCI, PIO, Foreign National]

    Resident status of the member such as NRI, PIO.

    ownerBelongsToOrganizationFlag boolean

    Possible values: <= 15 characters, [true, false]

    This is required to capture if the owner is a customer or a business. Required only in case of memberType = Owner

    memberGST string

    Possible values: <= 30 characters

    This is required to capture GST information of Proposer

    drivingLicenseNumber string

    Possible values: <= 30 characters

    To capture driving license of driver. This is a futuristic field. Required only when memberType is Driver.

    drivingExperienceYears string

    Possible values: <= 30 characters

    To capture drivers driving experience.

    appointeeDetails object

    To capture Appointee Name when nominee age is < 18 years

    appointeeFirstName string

    Possible values: <= 50 characters

    Appointee First Name

    appointeeMiddleName string

    Possible values: <= 50 characters

    Appointee Middle Name

    appointeeLastName string

    Possible values: <= 50 characters

    Appointee Last Name

    appointeeDateOfBirth string

    Possible values: <= 50 characters

    Appointee DOB. ISO Date Format - YYYY-MM-DD

    appointeeAge number

    Possible values: <= 10 characters

    Appointee Age

    appointeeRelationshipWithOwnerProposer string

    Possible values: <= 50 characters

    Appointee Relationship with Owner-Proposer

    kycDetails object

    To capture KYC details of member

    ckycNumber string

    Possible values: <= 30 characters

    To capture CKCY Number of member

    politicalExposedFlag boolean

    Possible values: <= 30 characters, [true, false]

    To capture political affliation of member

    kycReferenceNumber string

    Possible values: <= 30 characters

    To capture KYC Reference Number of member

    eiaNumber string

    Possible values: <= 30 characters

    To capture EIA number of member

    uniqueId object[]

    To capture unique ID (like PAN Number, DL Number , Aadhaar Number) of member

  • Array [
  • uniqueIdType string

    Possible values: <= 30 characters, [PAN, Aadhar, Driving License]

    List of Unique ID Types

    uniqueIdTypeValue string

    Possible values: <= 30 characters

    Value of the ID Type

  • ]
  • consentDetails object[]

    To capture consent details of the customer

  • Array [
  • otpMobileNumber number

    Possible values: <= 15 characters

    Mobile Number on which OTP was triggered

    otpTerms string

    Possible values: <= 100 characters

    Terms and Condition of Consent

  • ]
  • varFields object[]
  • Array [
  • fieldName string

    Possible values: <= 50 characters

    Additional fields for individualDetails array

    fieldValue string

    Possible values: <= 50 characters

    Value of additional fields

  • ]
  • ]
  • product object required
    productType string required

    Possible values: <= 10 characters, [motor]

    LOB for which quote is requested. With respect to Motor Insurance , always pass motor

    motorProductType string required

    Possible values: <= 30 characters, [2W-Pvt, 4W-Pvt]

    Motor Product Type for which quote is requested.

    insuranceAndProducts object[]

    Array to capture multiple insurance company codes and their specific product codes. This also allows the consumer to ask for quotes for a specific product of a specific company(s).

  • Array [
  • insuranceCompanyCode string

    Possible values: <= 30 characters, [IL, GODIGIT, RSGI]

    This is to provide quotes from selected companies. This field is mandatory for typeOfQuote= Single Quote

    productCode string

    Possible values: <= 30 characters, [Package(1+1), StandaloneOD, StandaloneTP(1), StandaloneTP(3), StandaloneTP(5), Bundled(1+3), Bundled(1+5), Package(2+2), Package(3+3)]

    Option for distributor to ask for quotes for specific products only of the selected insurance company. This field is mandatory for typeOfQuote= Single Quote

  • ]
  • policyTerm integer

    Possible values: <= 3 characters, [1, 2, 3]

    Policy term is the period within which a policy remains active and offers protection/benefits.

    policyTermUnit string

    Possible values: <= 15 characters, [Years, Months, Days]

    This is a futuristic field to allow policy term to be in days or months.

    premiumPaymentOption string

    Possible values: <= 20 characters, [1, 2, 3]

    This field indicates whethere the payment is going to done via 1. Single 2. Regular 3. Limited payment. This tag is currently not sent in the request but is kept here to ensure if in motor insurance when we have limited or regular payments, then we can use this tag.

    premiumPaymentTerm integer

    Possible values: <= 150 characters, [1, 2]

    Premium paying term is the total period (number of years or months) for which a policyholder has to pay premium.Since all payments are one time in motor ,this field will be used when premiumPaymentOption is introduced in future.

    premiumPaymentFrequency string

    Possible values: <= 15 characters, [M, Q, HY, Y, S]

    This is defined as the number of times during the policy year that you need to pay premiums. Frequency options are typically annual, semi-annual, quarterly and monthly. This filed is required when premuim payment option is selected as Regular Pay. Since Regular pay is not present in motor insurance, this field also becomes futuristic

    planId string

    Possible values: <= 50 characters

    To capture specific plan type.

    registrationDetails object required

    To capture Vehicle Registration Information

    registrationNumber string required

    Possible values: <= 50 characters

    Registration Number of the vehicle. It is required when business type is Roll-Over. For Business Type New, you can pass this as blank. Also, it is required in both case - Single Quote and Multi-Quote

    registrationDate string required

    Possible values: <= 50 characters

    Registration Date of the vehicle.Date is formatted string as per ISO 8601 standard. Format - YYYY-MM-DD. This is required in both case - Single Quote and Multi-Quote

    registrationYear string

    Possible values: <= 5 characters

    Registration year of the vehicle.Date is formatted string as per ISO 8601 standard. Format - YYYY This is required in both case - Single Quote and Multi-Quote. If registrationDate is provided , then do not provide year.

    registrationMonth string

    Possible values: <= 50 characters

    Registration Month of the vehicle.Date is formatted string as per ISO 8601 standard. Format -MM. This is required in both case - Single Quote and Multi-Quote. If registrationDate is provided , then do not provide month.

    registrationDay string

    Possible values: <= 3 characters

    Registration Day of the vehicle.Date is formatted string as per ISO 8601 standard. Format -DD. This is required in both case - Single Quote and Multi-Quote. If registrationDate is provided , then do not provide day.

    manufacturingMonth string

    Possible values: <= 3 characters

    Manufacturing Month of the vehicle.Date is formatted string as per ISO 8601 standard. Format -MM.

    manufacturingYear string

    Possible values: <= 5 characters

    Manufacturing Year of the vehicle.Date is formatted string as per ISO 8601 standard. Format -YYYY.

    dateOfPurchase string

    Possible values: <= 5 characters

    Purchase Date of the vehicle.Date is formatted string as per ISO 8601 standard. Format -YYYY.

    autoMembershipFlag boolean

    Possible values: <= 5 characters, [true, false]

    To capture if the vehicle is a member of the automobile association

    autoMembershipNumber string

    Possible values: <= 30 characters

    To capture auto membership number. Required only when autoMembershipFlag is TRUE

    pucDeclaration string

    Possible values: <= 30 characters

    Pollution Under Control declaration

    pucNumber string

    Possible values: <= 30 characters

    PUC Certificate number

    pucExpiryDate string

    Possible values: <= 30 characters

    PUC Expiry Date. Normally PUC is valid for 6 months. Required input in Date format - YYYY-MM-DD

    rtoLocationCode string required

    Possible values: <= 10 characters

    RTO Location is where vehicle is registered at. It is required in two scenarios-1.When Business Type is New. 2-When Registration Number is of BH series. Required for both - Single Quote and Multi-Quote

    vehicleDetails object required

    To capture Vehicle Make, Model, Variant and other details

    vehicleUniqueCode string

    Possible values: <= 30 characters

    Unique Vehicle Code maintained at 1SB end to identify vehicle

    vehicleMakeCode string required

    Possible values: <= 30 characters, [TATA, MAHINDRA, AUDI, Others]

    Manufacturer Code of the Vehicle as per Vehicle Master. Required in both case - New Business and Roll Over. Also, required for Single Quote and Multi-Quote

    vehicleModelCode string required

    Possible values: <= 30 characters, [Nexon, XUV-700, Others]

    Model Code of the vehicle as per vehicle master.Y-MM-DD. Required in both case - New Business and Roll Over. Also, required for Single Quote and Multi-Quote

    vehicleVariantCode string required

    Possible values: <= 30 characters

    Variant code of the vehicle as per vehicle master.Required in both case - New Business and Roll Over. Also, required for Single Quote and Multi-Quote

    vehicleFuelType string required

    Possible values: <= 20 characters, [Petrol, Diesel, Cng, Lpg, Battery, Hydrogen, Petrol+CNG, Petrol+LPG]

    Fuel Type applicable to the vehicle make,model and variant as per vehicle master. Required in both case - New Business and Roll Over. Also, required for Single Quote and Multi-Quote

    vehicleSeatingCapacity number

    Possible values: <= 3 characters

    Seating capacity of the vehicle. THis is required only in case , when same variant has different seating capacity

    vehicleCubicCapacity number

    Possible values: <= 5 characters

    Cubic Capacity of the vehicle as per vehicle master. This is required in case of certain Commercial vehicles. For 4W and 2W ,cubic capacity is not required.

    vehicleColor string

    Possible values: <= 30 characters

    Color of the vehicle as per vehicle master

    vehicleEngineNumber string

    Possible values: <= 30 characters

    Engine number of the vehicle

    vehicleChassisNumber string

    Possible values: <= 30 characters

    Chassis number of the vehicle

    vehicleEnergyType string

    Possible values: <= 30 characters

    Energy Type of vehicle as per vehicle master.This is a futuristic field

    vehicleWheelsChairAccess boolean

    Possible values: <= 5 characters, [true, false]

    Vehicle has wheel chair access

    vehicleEmissionStandard string

    Possible values: <= 30 characters

    Vehicle Emission Standard. This is a futuristic field

    vehicleWheelsCount number

    Possible values: <= 4 characters

    Number wheels of the vehicle as per vehicle master

    vehicleCargoVolume number

    Possible values: <= 30 characters

    Weight of the cargo in tonns

    idvDetails object required

    Insured Declared Value of the vehicle. This is akin to Sum Insured of the vehicle.

    insuredDeclaredValue number required

    Possible values: <= 30 characters

    Sum Insured of the vehicle. This is a required field for single quote and multi-quote for business type - Roll Over. For the initial quote call , send 0 in this to retrive the idv range.

    sideCarInsuredDeclaredValue number

    Possible values: <= 30 characters

    Sum Insured of the side car. Side car is a 1-wheeled device attached to motor-cycle.

    ncbDetails object required

    Insured Declared Value of the vehicle. This is akin to Sum Insured of the vehicle.

    claimLastYearFlag boolean required

    Possible values: <= 5 characters, [true, false]

    This is required to provide NCB discount in quote. Pass TRUE , if claim has been taken in previous policy, Else pass FALSE.

    numberOfClaims number

    Possible values: <= 30 characters

    Required only when claimLastYearFlag = TRUE

    ncbPercentageLastYear number required

    Possible values: <= 5 characters, [0, 20, 25, 35, 45, 50]

    NCB Percentage present in the previous policy.Required only when claimLastYearFlag = FALSE.

    previousPolicyDetails object required

    Capture Previous Policy Details. This is required only when business type is Roll-Over.

    previousCoverageType string required

    Possible values: <= 20 characters, [Package(1+1), StandaloneTP(1), StandaloneTP(3), StandaloneTP(5), Bundled(1+3), Bundled(1+5), Package(2+2), Package(3+3)]

    Plan type of previous policy

    IsPreviousPolicyExpired boolean

    Possible values: <= 5 characters

    Pass TRUE, if policy has been expired, Else pass FALSE

    previousPolicyEndDate string required

    Possible values: <= 15 characters

    Previous Policy End Date. Date format - YYYY-MM-DD

    previousPolicyStartDate string

    Possible values: <= 15 characters

    Previous Policy Start Date. Date format - YYYY-MM-DD.

    previousPolicyInsurer string

    Possible values: <= 50 characters, [ICICILOMBARD, RELIANCEGENERAL, BAGIC, ACKO, SBIGI, TAGIC, UNIVERSALSOMPO, HDFCERGO, CHOLAMANDALAM, FUTUREGENERALI, GODIGIT, IFFCOTOKIO, KOTAKMAHINDRA, LIBERTYGENERAL, MAGMAHDI, NATIONALINSURANCE, NAVIGENERALINSURANCE, RAHEJAQBE, ROYALSUNDARAM, SHRIRAMGENERALINSURANCE, NEWINDIAASSURANCE, ORIENTALINSURANCE, UNITEDINDIAINSURANCE, ZUNOGENERALINSURANCE]

    Insurer of the previous policy

    previousPolicyNumber string

    Possible values: <= 50 characters

    Policy Number

    previousPolicyOdStartDate string

    Possible values: <= 15 characters

    Require only when previousCoverageType is Bundled. Capture OD only start date

    previousPolicyOdExpiryDate string required

    Possible values: <= 15 characters

    Require only when previousCoverageType is Bundled. Capture OD only expiry date

    previousPolicyOdInsurer string

    Possible values: <= 50 characters, [ICICILOMBARD, RELIANCEGENERAL, BAGIC, ACKO, SBIGI, TAGIC, UNIVERSALSOMPO, HDFCERGO, CHOLAMANDALAM, FUTUREGENERALI, GODIGIT, IFFCOTOKIO, KOTAKMAHINDRA, LIBERTYGENERAL, MAGMAHDI, NATIONALINSURANCE, NAVIGENERALINSURANCE, RAHEJAQBE, ROYALSUNDARAM, SHRIRAMGENERALINSURANCE, NEWINDIAASSURANCE, ORIENTALINSURANCE, UNITEDINDIAINSURANCE, ZUNOGENERALINSURANCE]

    Require only when previousCoverageType is Bundled

    previousPolicyOdNumber string

    Possible values: <= 50 characters

    Required only when claimLastYearFlag = TRUE

    previousPolicyTpStartDate string

    Possible values: <= 15 characters

    Require only when previousCoverageType is Bundled. Capture TP only expiry date. Date format - YYYY-MM-DD

    previousPolicyTpExpiryDate string required

    Possible values: <= 15 characters

    Require only when previousCoverageType is Bundled. Capture TP only expiry date. Date format - YYYY-MM-DD

    previousPolicyTpInsurer string

    Possible values: <= 50 characters, [ICICILOMBARD, RELIANCEGENERAL, BAGIC, ACKO, SBIGI, TAGIC, UNIVERSALSOMPO, HDFCERGO, CHOLAMANDALAM, FUTUREGENERALI, GODIGIT, IFFCOTOKIO, KOTAKMAHINDRA, LIBERTYGENERAL, MAGMAHDI, NATIONALINSURANCE, NAVIGENERALINSURANCE, RAHEJAQBE, ROYALSUNDARAM, SHRIRAMGENERALINSURANCE, NEWINDIAASSURANCE, ORIENTALINSURANCE, UNITEDINDIAINSURANCE, ZUNOGENERALINSURANCE]

    Require only when previousCoverageType is Bundled

    previousPolicyTpNumber string

    Possible values: <= 50 characters

    Require only when previousCoverageType is Bundled. TP Policy number

    motorCovers object[]

    These are add ons that provide additional coverage

  • Array [
  • optionSelected string

    Possible values: <= 150 characters, [conveyanceBenefit, lossOfPersonalBelongings, depreciationShield, tyreSecure, roadSideAssitance, consumableExpenses, engineProtect, ncbProtection, returnToInvoice, keysLocksCover, geograhicalExtenstion, towingCover, voluntaryDeductibles, electricalAccessories, nonElectricalAccessories, cngCover, emergencyMedicalExpenses, paPaidDriverCover, paPassengerCover, legalLiabilityDriver, legalLiabilityEmployees, paOwnerDriverCover, consumableExpenses]

    From the list of all the options, one will be selected for each element of the array.

    optionValue object[]

    For the add on selected, relevant value will be required. Eg conveyanceBenefit will ask for no of days and amount limit

  • Array [
  • optionValueDescription string

    Possible values: <= 150 characters

    Additional fields for add on selected

    optionValueInput string

    Possible values: <= 150 characters

    Value of additional fields

  • ]
  • varFields object[]

    Other fields to be captured for plan option selected

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for planOption section

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • ]
Responses

Consumer Response


Schema
    data object required

    Section to carry quote responses

    request object

    Entire request object to be replicated here.

    quote object[] required

    The array will contain details related to a motor product - plan type, premium, add-ons, idv and other details.

  • Array [
  • isRenewal boolean

    Possible values: <= 10 characters, [true, false]

    To determine , for the given insurer, it is a renewal case or roll over case

    insuranceAndProducts object

    Section to hold details of the insurance company and the product for which the following details are provided

    motorProductType string required

    Possible values: <= 30 characters, [2W-Pvt, 4W-Pvt, 4W-Commercial]

    Type of Product for which quote is returned

    insuranceCompanyCode string required

    Possible values: <= 30 characters, [IL, RSGI, GODIGIT]

    Insurer Code

    policyType string

    Possible values: <= 30 characters

    Policy Type

    policyTypeDesc string

    Possible values: <= 30 characters

    Policy Type Description

    productCode string required

    Possible values: <= 30 characters

    Product Code

    productName string required

    Possible values: <= 30 characters

    Corresponding Product Name

    productDetails object

    Section to hold details regarding product parameters - Premium, Add Ons, Policy Term , Payment Term & Frequency

    policyTerm number required

    Possible values: <= 100 characters

    Policy Term is the period/duration for which policy will be effective.

    policyTermUnit string

    Possible values: <= 50 characters, [YEAR, MONTH, DAY]

    Policy Term Unit defines the unit of policy term. For Example- Year, Month, Days. In Motor Insurance, ususally it is in YEAR

    premiumPaymentOption string required

    Possible values: <= 15 characters

    This is a futuristic field to allow policy term to be in days or months.

    premiumPaymentFrequency string required

    Possible values: <= 15 characters

    This is defined as the number of times during the policy year that you need to pay premiums. Frequency options are typically annual, semi-annual, quarterly and monthly.In Motor Insurance, whatever is the policy term, entire premium is taken in one-go.

    planOption object required

    Plan option selected and its details

    planId string

    Possible values: <= 50 characters

    Plan id assigned to the selected plan. FOr Example - Secure Plus is referred as 20001.

    planName string

    Possible values: <= 50 characters

    Corresponding Plan Name for Plan ID

    planDesc string

    Possible values: <= 500 characters

    This field will provide description / information about the plan

    varFields object[]

    Other fields to be captured for plan option selected

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for planOption section

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • previousPolicyDetails object

    Capture Previous Policy Details. This is required only when business type is Roll-Over.

    previousCoverageType string required

    Possible values: <= 20 characters, [Package(1+1), StandaloneTP(1), StandaloneTP(3), StandaloneTP(5), Bundled(1+3), Bundled(1+5), Package(2+2), Package(3+3)]

    Plan type of previous policy

    IsPreviousPolicyExpired boolean

    Possible values: <= 5 characters

    Pass TRUE, if policy has been expired, Else pass FALSE

    previousPolicyEndDate string required

    Possible values: <= 15 characters

    Previous Policy End Date. Date format - YYYY-MM-DD

    previousPolicyStartDate string

    Possible values: <= 15 characters

    Previous Policy Start Date. Date format - YYYY-MM-DD.

    previousPolicyInsurer string

    Possible values: <= 50 characters, [ICICILOMBARD, RELIANCEGENERAL, BAGIC, ACKO, SBIGI, TAGIC, UNIVERSALSOMPO, HDFCERGO, CHOLAMANDALAM, FUTUREGENERALI, GODIGIT, IFFCOTOKIO, KOTAKMAHINDRA, LIBERTYGENERAL, MAGMAHDI, NATIONALINSURANCE, NAVIGENERALINSURANCE, RAHEJAQBE, ROYALSUNDARAM, SHRIRAMGENERALINSURANCE, NEWINDIAASSURANCE, ORIENTALINSURANCE, UNITEDINDIAINSURANCE, ZUNOGENERALINSURANCE]

    Insurer of the previous policy

    previousPolicyNumber string

    Possible values: <= 50 characters

    Policy Number

    previousPolicyOdStartDate string

    Possible values: <= 15 characters

    Require only when previousCoverageType is Bundled. Capture OD only start date

    previousPolicyOdExpiryDate string required

    Possible values: <= 15 characters

    Require only when previousCoverageType is Bundled. Capture OD only expiry date

    previousPolicyOdInsurer string

    Possible values: <= 50 characters, [ICICILOMBARD, RELIANCEGENERAL, BAGIC, ACKO, SBIGI, TAGIC, UNIVERSALSOMPO, HDFCERGO, CHOLAMANDALAM, FUTUREGENERALI, GODIGIT, IFFCOTOKIO, KOTAKMAHINDRA, LIBERTYGENERAL, MAGMAHDI, NATIONALINSURANCE, NAVIGENERALINSURANCE, RAHEJAQBE, ROYALSUNDARAM, SHRIRAMGENERALINSURANCE, NEWINDIAASSURANCE, ORIENTALINSURANCE, UNITEDINDIAINSURANCE, ZUNOGENERALINSURANCE]

    Require only when previousCoverageType is Bundled

    previousPolicyOdNumber string

    Possible values: <= 50 characters

    Required only when claimLastYearFlag = TRUE

    previousPolicyTpStartDate string

    Possible values: <= 15 characters

    Require only when previousCoverageType is Bundled. Capture TP only expiry date. Date format - YYYY-MM-DD

    previousPolicyTpExpiryDate string required

    Possible values: <= 15 characters

    Require only when previousCoverageType is Bundled. Capture TP only expiry date. Date format - YYYY-MM-DD

    previousPolicyTpInsurer string

    Possible values: <= 50 characters, [ICICILOMBARD, RELIANCEGENERAL, BAGIC, ACKO, SBIGI, TAGIC, UNIVERSALSOMPO, HDFCERGO, CHOLAMANDALAM, FUTUREGENERALI, GODIGIT, IFFCOTOKIO, KOTAKMAHINDRA, LIBERTYGENERAL, MAGMAHDI, NATIONALINSURANCE, NAVIGENERALINSURANCE, RAHEJAQBE, ROYALSUNDARAM, SHRIRAMGENERALINSURANCE, NEWINDIAASSURANCE, ORIENTALINSURANCE, UNITEDINDIAINSURANCE, ZUNOGENERALINSURANCE]

    Require only when previousCoverageType is Bundled

    previousPolicyTpNumber string

    Possible values: <= 50 characters

    Require only when previousCoverageType is Bundled. TP Policy number

    motorCovers object[] required

    This section captures all the add ons that are applicable to the product-plan type for the given insurer

  • Array [
  • optionSelected string

    Possible values: <= 150 characters

    From the list of all the options, one will select add on applicable to the product-pan combination

    optionDescription string

    Possible values: <= 300 characters

    Add On description

    optionValue object[]

    For the add on selected, other values required for quote calculation.

  • Array [
  • optionValueDescription string

    Possible values: <= 150 characters

    Additional fields for add on selected

    optionValueSelected string

    Possible values: <= 150 characters

    Attribute ID

    optionValueInput string

    Possible values: <= 150 characters

    Value/Input for the option value

  • ]
  • premiumIncludedFlag boolean

    Value of Yes in this flag indicates that the add on premium is included in the total premium and the below premium fields will not be populated and premiums fields will not be present. If No then the add on premium is provided in below premium fields.

    mandatoryInProduct boolean

    It specifies whether this selected add on is mandatorily to be taken in the plan

    inbuiltInPlan boolean

    This flag will indicate if the addon is inbuilt in the plan selected or if it is an optional addon. If this is an optional addon then additional premium will be added to the base premium.

    premiumForEachPolicyTerm object[]

    This is an array which captures the premium details for different modes. This array will hold premium value wrt policy term,payment option and payment frequency

  • Array [
  • policyTerm number

    Possible values: <= 15 characters

    This tag shows the policy term. This will be an array and have values as 1/2/3 years.

    premiumForEachPPO object[]

    List down premium wrt payment option

  • Array [
  • premiumPaymentOption string

    Possible values: <= 2 characters

    The PPO for which the premium is being shown. In case of motor insurance all premiums are to be paid in single payment and hence this is always 1

    premiumForEachPPF object[]

    This will captures premium amount for each premium payment frequency. In case of motor insurance we will only have single payment option

  • Array [
  • mode string

    Possible values: <= 15 characters

    Mode is the premium payment frequency. It will always be S for motor insurance

    premiumValue number

    Possible values: <= 30 characters

    Premium Value exlcuding Taxes. In many cases, premium value and total premium value for each add on will be same , as tax is levied on Gross Premium

    tax object[]

    Tax array will capture multiple tax properties for each premium

  • Array [
  • taxCode string

    Possible values: <= 30 characters

    Tax code will help to identify the type of tax

    taxDescription string

    Possible values: <= 50 characters

    Description of the tax

    taxValue number

    Possible values: <= 15 characters

    Tax amount as per tax code

    taxPercentage number

    Possible values: <= 15 characters

    Tax percentage applied in this tax code

  • ]
  • totalTax number

    Possible values: <= 15 characters

    This field gives the sum of all applicable taxes

    totalPremiumValue number

    Possible values: <= 30 characters

    Total Premium Value

  • ]
  • ]
  • ]
  • varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • ]
  • motorDiscount object[]

    This section captures all the discount that are applicable to the product-plan type for the given insurer

  • Array [
  • discountSelected string

    Possible values: <= 50 characters

    Discount selected

    discountName string

    Possible values: <= 50 characters

    Discount applicable to the product-plan type for the given insurer

    discountDesc string

    Possible values: <= 150 characters

    Discount description

    premiumIncludedFlag boolean

    Value of Yes in this flag indicates that the add on premium is included in the total premium and the below premium fields will not be populated and premiums fields will not be present. If No then the add on premium is provided in below premium fields.

    mandatoryInProduct boolean

    It specifies whether the selected discount is mandatorily to be taken in the plan

    inbuiltInPlan boolean

    This flag will indicate if the addon is inbuilt in the plan selected or if it is an optional addon. If this is an optional addon then additional premium will be added to the base premium.

    premiumForEachPolicyTerm object[]

    This is an array which captures the premium details for different modes. This array will hold premium value wrt policy term,payment option and payment frequency

  • Array [
  • policyTerm number

    Possible values: <= 15 characters

    This tag shows the policy term. This will be an array and have values as 1/2/3 years.

    premiumForEachPPO object[]

    List down premium wrt payment option

  • Array [
  • premiumPaymentOption string

    Possible values: <= 2 characters

    The PPO for which the premium is being shown. In case of motor insurance all premiums are to be paid in single payment and hence this is always 1

    premiumForEachPPF object[]

    This will captures premium amount for each premium payment frequency. In case of motor insurance we will only have single payment option

  • Array [
  • mode string

    Possible values: <= 15 characters

    Mode is the premium payment frequency. It will always be S for motor insurance

    premiumValue number

    Possible values: <= 30 characters

    Premium Value exlcuding Taxes. In many cases, premium value and total premium value for each add on will be same , as tax is levied on Gross Premium

    tax object[]

    Tax array will capture multiple tax properties for each premium

  • Array [
  • taxCode string

    Possible values: <= 30 characters

    Tax code will help to identify the type of tax

    taxDescription string

    Possible values: <= 50 characters

    Description of the tax

    taxValue number

    Possible values: <= 15 characters

    Tax amount as per tax code

    taxPercentage number

    Possible values: <= 15 characters

    Tax percentage applied in this tax code

  • ]
  • totalTax number

    Possible values: <= 15 characters

    This field gives the sum of all applicable taxes

    totalPremiumValue number

    Possible values: <= 30 characters

    Total Premium Value

  • ]
  • ]
  • ]
  • varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • ]
  • motorLoadingPremium object[]

    This section captures all the loading premium that are applicable to the product-pan type for the given insurer

  • Array [
  • loadName string

    Possible values: <= 150 characters

    Loading Name

    loadDesc string

    Possible values: <= 150 characters

    Loading Description

    loadValue string

    Possible values: <= 150 characters

    Loading Value. THis is a futuristic field to incorporate any input value to be required

    premiumIncludedFlag boolean

    Value of Yes in this flag indicates that the add on premium is included in the total premium and the below premium fields will not be populated and premiums fields will not be present. If No then the add on premium is provided in below premium fields.

    mandatoryInProduct boolean

    It specifies whether the selected discount is mandatorily to be taken in the plan

    inbuiltInPlan boolean

    This flag will indicate if the addon is inbuilt in the plan selected or if it is an optional addon. If this is an optional addon then additional premium will be added to the base premium.

    premiumForEachPolicyTerm object[]

    This is an array which captures the premium details for different modes. This array will hold premium value wrt policy term,payment option and payment frequency

  • Array [
  • policyTerm number

    Possible values: <= 15 characters

    This tag shows the policy term. This will be an array and have values as 1/2/3 years.

    premiumForEachPPO object[]

    List down premium wrt payment option

  • Array [
  • premiumPaymentOption string

    Possible values: <= 2 characters

    The PPO for which the premium is being shown. In case of motor insurance all premiums are to be paid in single payment and hence this is always 1

    premiumForEachPPF object[]

    This will captures premium amount for each premium payment frequency. In case of motor insurance we will only have single payment option

  • Array [
  • mode string

    Possible values: <= 15 characters

    Mode is the premium payment frequency. It will always be S for motor insurance

    premiumValue number

    Possible values: <= 30 characters

    Premium Value exlcuding Taxes. In many cases, premium value and total premium value for each add on will be same , as tax is levied on Gross Premium

    tax object[]

    Tax array will capture multiple tax properties for each premium

  • Array [
  • taxCode string

    Possible values: <= 30 characters

    Tax code will help to identify the type of tax

    taxDescription string

    Possible values: <= 50 characters

    Description of the tax

    taxValue number

    Possible values: <= 15 characters

    Tax amount as per tax code

    taxPercentage number

    Possible values: <= 15 characters

    Tax percentage applied in this tax code

  • ]
  • totalTax number

    Possible values: <= 15 characters

    This field gives the sum of all applicable taxes

    totalPremiumValue number

    Possible values: <= 30 characters

    Total Premium Value

  • ]
  • ]
  • ]
  • varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • ]
  • motorNCBPremium object[]

    NCB Discount Grid and Prmeium applicable

  • Array [
  • premiumIncludedFlag boolean

    Value of Yes in this flag indicates that the add on premium is included in the total premium and the below premium fields will not be populated and premiums fields will not be present. If No then the add on premium is provided in below premium fields.

    mandatoryInProduct boolean

    It specifies whether the selected discount is mandatorily to be taken in the plan

    inbuiltInPlan boolean

    This flag will indicate if the addon is inbuilt in the plan selected or if it is an optional addon. If this is an optional addon then additional premium will be added to the base premium.

    ncbGridVisible number

    Possible values: <= 20 characters

    NCB Grid to be displayed

    nextNcbSlabDetails undefined[]

    Next NCB Applicable

  • Array [
  • nextNcbSlabApplicable number

    Possible values: <= 10 characters

    Next NCB applicable

    nextNcbSlabDescription string

    Possible values: <= 150 characters

    Next NCB Description

  • ]
  • ncbMessage string

    Possible values: <= 150 characters

    Any validation message to be provided

    premiumForEachPolicyTerm object[]

    This is an array which captures the premium details for different modes. This array will hold premium value wrt policy term,payment option and payment frequency

  • Array [
  • policyTerm number

    Possible values: <= 15 characters

    This tag shows the policy term. This will be an array and have values as 1/2/3 years.

    premiumForEachPPO object[]

    List down premium wrt payment option

  • Array [
  • premiumPaymentOption string

    Possible values: <= 2 characters

    The PPO for which the premium is being shown. In case of motor insurance all premiums are to be paid in single payment and hence this is always 1

    premiumForEachPPF object[]

    This will captures premium amount for each premium payment frequency. In case of motor insurance we will only have single payment option

  • Array [
  • mode string

    Possible values: <= 15 characters

    Mode is the premium payment frequency. It will always be S for motor insurance

    premiumValue number

    Possible values: <= 30 characters

    Premium Value exlcuding Taxes. In many cases, premium value and total premium value for each add on will be same , as tax is levied on Gross Premium

    tax object[]

    Tax array will capture multiple tax properties for each premium

  • Array [
  • taxCode string

    Possible values: <= 30 characters

    Tax code will help to identify the type of tax

    taxDescription string

    Possible values: <= 50 characters

    Description of the tax

    taxValue number

    Possible values: <= 15 characters

    Tax amount as per tax code

    taxPercentage number

    Possible values: <= 15 characters

    Tax percentage applied in this tax code

  • ]
  • totalTax number

    Possible values: <= 15 characters

    This field gives the sum of all applicable taxes

    totalPremiumValue number

    Possible values: <= 30 characters

    Total Premium Value

  • ]
  • ]
  • ]
  • varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • ]
  • basicOwnDamagePremiumForEachPolicyTerm object

    Base Premium , with and without taxes. Base Premium is defined as Own Damage Premium and Third Party Premium , witout adding/deducting add on premium,loading premium,discount

    premiumForEachPolicyTerm object[]

    This is an array which captures the premium details for different modes. This array will hold premium value wrt policy term,payment option and payment frequency

  • Array [
  • policyTerm number

    Possible values: <= 15 characters

    This tag shows the policy term. This will be an array and have values as 1/2/3 years.

    premiumForEachPPO object[]

    List down premium wrt payment option

  • Array [
  • premiumPaymentOption string

    Possible values: <= 2 characters

    The PPO for which the premium is being shown. In case of motor insurance all premiums are to be paid in single payment and hence this is always 1

    premiumForEachPPF object[]

    This will captures premium amount for each premium payment frequency. In case of motor insurance we will only have single payment option

  • Array [
  • mode string

    Possible values: <= 15 characters

    Mode is the premium payment frequency. It will always be S for motor insurance

    basicODPremiumValue number

    Possible values: <= 30 characters

    Premium Value exlcuding Taxes. In many cases, premium value and total premium value for each add on will be same , as tax is levied on Gross Premium

    basicTPPremiumValue number

    Possible values: <= 30 characters

    Premium Value exlcuding Taxes. In many cases, premium value and total premium value for each add on will be same , as tax is levied on Gross Premium

    tax object[]

    Tax array will capture multiple tax properties for each premium

  • Array [
  • taxCode string

    Possible values: <= 30 characters

    Tax code will help to identify the type of tax

    taxDescription string

    Possible values: <= 50 characters

    Description of the tax

    taxValue number

    Possible values: <= 15 characters

    Tax amount as per tax code

    taxPercentage number

    Possible values: <= 15 characters

    Tax percentage applied in this tax code

  • ]
  • totalTax number

    Possible values: <= 15 characters

    This field gives the sum of all applicable taxes

    totalBasicODPremiumValue number

    Possible values: <= 30 characters

    Total Premium Value

    totalBasicTPPremiumValue: number

    Possible values: <= 30 characters

    Total Premium Value

  • ]
  • ]
  • ]
  • varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • thirdPartyPremiumForEachPolicyTerm object

    Base Premium , with and without taxes. Base Premium is defined as Own Damage Premium and Third Party Premium , without adding/deducting add on premium,loading premium,discount. This is specifically to capture TP premium

    premiumForEachPolicyTerm object[]

    This is an array which captures the premium details for different modes. This array will hold premium value wrt policy term,payment option and payment frequency

  • Array [
  • policyTerm number

    Possible values: <= 15 characters

    This tag shows the policy term. This will be an array and have values as 1/2/3 years.

    premiumForEachPPO object[]

    List down premium wrt payment option

  • Array [
  • premiumPaymentOption string

    Possible values: <= 2 characters

    The PPO for which the premium is being shown. In case of motor insurance all premiums are to be paid in single payment and hence this is always 1

    premiumForEachPPF object[]

    This will captures premium amount for each premium payment frequency. In case of motor insurance we will only have single payment option

  • Array [
  • mode string

    Possible values: <= 15 characters

    Mode is the premium payment frequency. It will always be S for motor insurance

    basicTPPremiumValue number

    Possible values: <= 30 characters

    Premium Value exlcuding Taxes. In many cases, premium value and total premium value for each add on will be same , as tax is levied on Gross Premium

    tax object[]

    Tax array will capture multiple tax properties for each premium

  • Array [
  • taxCode string

    Possible values: <= 30 characters

    Tax code will help to identify the type of tax

    taxDescription string

    Possible values: <= 50 characters

    Description of the tax

    taxValue number

    Possible values: <= 15 characters

    Tax amount as per tax code

    taxPercentage number

    Possible values: <= 15 characters

    Tax percentage applied in this tax code

  • ]
  • totalTax number

    Possible values: <= 15 characters

    This field gives the sum of all applicable taxes

    totalBasicTPPremiumValue: number

    Possible values: <= 30 characters

    Total Premium Value

  • ]
  • ]
  • ]
  • varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • inspectionDetails object

    This section describes the inspection details

    isInspectionRequired boolean

    Possible values: <= 10 characters, [true, false]

    Provide details if inspection is required or not

    selfInspectionLink string

    Possible values: <= 300 characters

    Self Inspection Link to initiate and complete inspection

    inspectionValidTill string

    Possible values: <= 20 characters

    Describes the date upto which inspection can be carried out. Date Format - YYYY-MM-DD

    varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • totalPremiumDetails object[]

    Section to descibe total premium details

  • Array [
  • policyTerm number

    Possible values: <= 100 characters

    Policy Term is the duration/period for which policy will remain valid

    totalOwnDamagePremiumValue number

    Possible values: <= 100 characters

    Total Own Damage Premium without Tax

    totalPremiumValueAddons number

    Possible values: <= 100 characters

    Total Add On premium without Tax

    totalPremiumValueDiscount number

    Possible values: <= 100 characters

    Total Discount Premium without tax. Note - This should be displayed with substraction symbol

    totalPremiumValueLoading number

    Possible values: <= 100 characters

    Total Loading Premium without Tax

    totalThirdPartyPremiumValue number

    Possible values: <= 100 characters

    Total TP Premium without Tax

    totalPremiumValueBeforeTax number

    Possible values: <= 100 characters

    Total Premium Value Before Tax

    taxDetails object[]

    Tax array will capture multiple tax properties for each premium

  • Array [
  • taxCode string

    Possible values: <= 30 characters

    Tax code will help to identify the type of tax

    taxDescription string

    Possible values: <= 50 characters

    Description of the tax

    taxValue number

    Possible values: <= 15 characters

    Tax amount as per tax code

    taxPercentage number

    Possible values: <= 15 characters

    Tax percentage applied in this tax code

  • ]
  • totalTax number

    Possible values: <= 15 characters

    This field gives the sum of all applicable taxes

    totalPremiumWithTax number

    Possible values: <= 100 characters

    Total Premium with Tax

  • ]
  • varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • supportingData object

    This section describes the supporting data for quote

    insuredDeclaredValue object

    This section list out the IDV of the vehicle provided by insurer

    minimumIDV number

    Possible values: <= 50 characters

    Minimum IDV of the vehicle

    maximumIDV number

    Possible values: <= 50 characters

    Maximum IDV of the vehicle

    suggestedIDV number

    Possible values: <= 50 characters

    Suggested IDV of the vehicle

    insCompanyLogo string

    Possible values: <= 300 characters

    Insurance Company Logo

    productLogo string

    Possible values: <= 300 characters

    Product Logo

    usp1 string

    Possible values: <= 300 characters

    USP of the Plan

    usp2 string

    Possible values: <= 300 characters

    USP of the Plan

    usp3 string

    Possible values: <= 300 characters

    USP of the plan

    Messages object
    claimSettlementPercent string

    Possible values: <= 150 characters

    Claim Settlement Percentage

    claimSettlementTAT string

    Possible values: <= 300 characters

    Claim Settlement TAT

    productFeatures string

    Possible values: <= 300 characters

    Product Features

    brochureLink string

    Possible values: <= 300 characters

    Policy Brochure Link

    policyWordingLink string

    Possible values: <= 300 characters

    Policy Brochure Link

    policyIssuanceTime string

    Possible values: <= 300 characters

    Policy Issuance Time

    policyPortabilityFAQ string

    Possible values: <= 500 characters

    Policy Portability FAQ

    waitingTime string

    Possible values: <= 300 characters

    Waiting Time

    linkForNetworkGarageLocator string

    Possible values: <= 150 characters

    Network Garage Locator

    marketingMessages string

    Possible values: <= 300 characters

    Any Marketing Messages

    varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • trackInfo object

    This section contains information to track quote from each insurer

    manufacturerQuoteID string

    Possible values: <= 300 characters

    Insurer Quote ID

    uniqueQuoteId string

    Possible values: <= 300 characters

    Unique Quote ID

    varFields object[]

    Other fields to be captured for AddOnSelected array

  • Array [
  • fieldName string

    Possible values: <= 100 characters

    Additional fields for AddOnSelected array

    fieldValue string

    Possible values: <= 100 characters

    Value of additional fields

  • ]
  • ]
  • error object

    This array contains error messages in case of an error

    errorCode string required

    Possible values: <= 50 characters

    In case error occurs, the error code will be stored here

    errorMessage string required

    Possible values: <= 150 characters

    Error Message which to be display

Loading...